org.apache.calcite.avatica.remote

## Class Service.FetchResponse

- java.lang.Object
- - org.apache.calcite.avatica.remote.Service.Base
  - - org.apache.calcite.avatica.remote.Service.Response
    - - org.apache.calcite.avatica.remote.Service.FetchResponse

Enclosing interface:
  Service

    public static class Service.FetchResponse
    extends Service.Response

Response from `Service.FetchRequest`.

### Field Summary

Fields
`Meta.Frame` `frame`
`boolean` `missingResults`
`boolean` `missingStatement`
`Service.RpcMetadataResponse` `rpcMetadata`

### Constructor Summary

Constructors
Constructor and Description
`FetchResponse(Meta.Frame frame, boolean missingStatement, boolean missingResults, Service.RpcMetadataResponse rpcMetadata)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### frame

    public final Meta.Frame frame

#### missingStatement

    public boolean missingStatement

#### missingResults

    public boolean missingResults

#### rpcMetadata

    public final Service.RpcMetadataResponse rpcMetadata

### Constructor Detail

#### FetchResponse

    public FetchResponse(Meta.Frame frame,
                         boolean missingStatement,
                         boolean missingResults,
                         Service.RpcMetadataResponse rpcMetadata)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`